{% extends "educacao/index.html" %}

{% load staticfiles %}
{% load crispy_forms_tags %}


{% block bibliotecas %}
    <link rel="stylesheet" type="text/css" href="{% static 'choosen/chosen_v1.8.7/chosen.min.css' %}">
    <script type="text/javascript" charset="utf8" src="{% static 'choosen/chosen_v1.8.7/chosen.jquery.min.js' %}"></script>
    <script type="text/javascript" src="{% static "ckeditor/ckeditor-init.js" %}"></script>
    <script type="text/javascript" src="{% static "ckeditor/ckeditor/ckeditor.js" %}"></script>
{% endblock %}


{% block barra_horizontal %}
    <li>
        <input type="submit" form="formulario_questao_lista" role="button" class="btn btn-primary botao-barra-horizontal" value="Salvar">
    </li>
    <li>
        <a class="btn btn-warning botao-barra-horizontal" href="{% url 'educacao:ver_disciplina' disciplina.id %}">
            Voltar
        </a>
    </li>
{% endblock %}


{% block corpo_pagina %}
    <div class="container-fluid bg-light rounded-top">
    <h2 style="margin-top: 10px">
        Configurações da lista de exercícios número {{ avaliacao.numero }}
    </h2>

    <form id="formulario_questao_lista" method="post" enctype="multipart/form-data" class="formulario sem-asterisco">
        {% csrf_token %}
        {{ form|crispy }}
    </form>

    </div>
{% endblock %}




{% block javascript %}
    {% for form in formset_alternativas %}
        $('#div_id_{{ form.prefix }}-questao').hide();
{#        $('#alternativa-{{ form.codigo.value }}').hide();#}
    {% endfor %}


{% endblock %}

